%define uname   dfarc

Name:           freedink-dfarc
Version:        3.12
Release:        %mkrel 6
Summary:        Frontend and .dmod installer for GNU FreeDink
Group:          Games/Adventure
License:        GPLv3+
URL:            http://www.gnu.org/software/freedink/
Source0:        http://ftp.gnu.org/gnu/freedink/%{uname}-%{version}.tar.gz

BuildRequires:  bzip2-devel
BuildRequires:  intltool
BuildRequires:  wxgtk3.0-devel

Requires:       freedink
Requires:       xdg-utils

%description
DFArc makes it easy to play and manage the Dink Smallwood game and
it's numerous Dink Modules (or D-Mods).

%prep
%setup -q -n %{uname}-%{version}

%build
# It seems "--disable-desktopfiles" is needed to _get_ the desktop and mime files installed
%configure2_5x --bindir=%{_gamesbindir} \
               --datadir=%{_gamesdatadir} \
               --disable-desktopfiles
%make_build

%install
%make_install

%find_lang %{uname}

%files -f %{uname}.lang
%doc AUTHORS NEWS README THANKS TODO TRANSLATIONS.txt ChangeLog
%{_gamesbindir}/*%{uname}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/mime/packages/freedink-mime.xml
%{_datadir}/pixmaps/%{uname}.png
%{_iconsdir}/hicolor/32x32/mimetypes/application-x-dmod.png
%{_mandir}/man1/*%{uname}*


%changelog
* Sat Jun 03 2017 akien <akien> 3.12-6.mga6
+ Revision: 1106091
- Rebuild for wxgtk 3.0.3.1

* Thu Jun 02 2016 daviddavid <daviddavid> 3.12-5.mga6
+ Revision: 1019810
- rebuild for wxgtk3.0 built with GTK2

* Sun Feb 14 2016 umeabot <umeabot> 3.12-4.mga6
+ Revision: 960113
- Mageia 6 Mass Rebuild

* Fri Aug 14 2015 ycantin <ycantin> 3.12-3.mga6
+ Revision: 864692
- rebuild for new wxgtk built with wxRE_ADVANCED

* Thu Jul 23 2015 akien <akien> 3.12-2.mga6
+ Revision: 856246
- Rebuild for wxgtk

* Mon Oct 20 2014 akien <akien> 3.12-1.mga5
+ Revision: 792253
- Version 3.12

* Wed Oct 15 2014 umeabot <umeabot> 3.10-3.mga5
+ Revision: 746304
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.10-2.mga5
+ Revision: 679331
- Mageia 5 Mass Rebuild

* Fri Mar 14 2014 akien <akien> 3.10-1.mga5
+ Revision: 603883
- imported package freedink-dfarc

